| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.SmartStepManager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.SmartStepManager:

## Public Member Functions
| __init__ (self, board=None)
| GetManagedDeviceMask (self, device)
| SetManagedDeviceMask (self, device, state)
| SelectTempSeriesIdx (self, device, value)
| GetActualTempSeriesIdx (self, device)
| SelectSeriesFilterIdx (self, device, value)
| GetActualTempSeriesValue (self, device)
| GetInputCoeffs (self, device, index, count)
| GetOutputCoeffs (self, device, index, count)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x3A
int | DEVICE_NBR = 4
| name = self.__class__.__name__

## Protected Attributes
bool | _readonly = False

## Detailed Description

    Smart step manager is a system in charge of managing lens devices with has the smart step feature applicable.
    system ID: 0x3A

    Register Map:
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id             | Type         | Unit     | Range        | Default       | Comment            |
    +=====================+================+==============+==========+==============+===============+====================+
    | mngDeviceMsk        | 0x00           | uint  32-bit | n/a      | <0,15>       |               | read/write         |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.SmartStepManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.SmartStepManager.help | ( |  | ) |
| static

## ◆ GetManagedDeviceMask()

optoICC.registers.icc_registers.SmartStepManager.GetManagedDeviceMask | ( |  | self,
|  |  | device )

## ◆ SetManagedDeviceMask()

optoICC.registers.icc_registers.SmartStepManager.SetManagedDeviceMask | ( |  | self,
|  |  | device,
|  |  | state )

## ◆ SelectTempSeriesIdx()

optoICC.registers.icc_registers.SmartStepManager.SelectTempSeriesIdx | ( |  | self,
|  |  | device,
|  |  | value )

## ◆ GetActualTempSeriesIdx()

optoICC.registers.icc_registers.SmartStepManager.GetActualTempSeriesIdx | ( |  | self,
|  |  | device )

## ◆ SelectSeriesFilterIdx()

optoICC.registers.icc_registers.SmartStepManager.SelectSeriesFilterIdx | ( |  | self,
|  |  | device,
|  |  | value )

## ◆ GetActualTempSeriesValue()

optoICC.registers.icc_registers.SmartStepManager.GetActualTempSeriesValue | ( |  | self,
|  |  | device )

## ◆ GetInputCoeffs()

optoICC.registers.icc_registers.SmartStepManager.GetInputCoeffs | ( |  | self,
|  |  | device,
|  |  | index,
|  |  | count )

## ◆ GetOutputCoeffs()

optoICC.registers.icc_registers.SmartStepManager.GetOutputCoeffs | ( |  | self,
|  |  | device,
|  |  | index,
|  |  | count )

## Member Data Documentation

## ◆ sys_id

int optoICC.registers.icc_registers.SmartStepManager.sys_id = 0x3A

## ◆ _readonly

bool optoICC.registers.icc_registers.SmartStepManager._readonly = False
| protected

## ◆ DEVICE_NBR

optoICC.registers.icc_registers.SmartStepManager.DEVICE_NBR = 4

## ◆ name

optoICC.registers.icc_registers.SmartStepManager.name = self.__class__.__name__